php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #41766 /usr/local/apache2/modules/libphp5.so doesn't exist, PHP 5.2.3 makeinstall fail
Submitted: 2007-06-21 14:57 UTC Modified: 2007-06-25 12:40 UTC
From: Johan dot Vermeire at diebold dot com Assigned:
Status: Not a bug Package: Apache2 related
PHP Version: 5.2.3 OS: AIX 5.2
Private report: No CVE-ID: None
 [2007-06-21 14:57 UTC] Johan dot Vermeire at diebold dot com
Description:
------------
Hi,

I've build an apache 2.2.4 ssl server, which works very well.

I now wan't to integrate the latest PHP (version 5.2.3) engine:

>nohup ./configure --prefix=/usr/local/php --enable-cli --bindir=/usr/bin --disable-libxml --enable-so=shared --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/bin/mysql_config > configure.log 2>&1&
OK

>nohup make > make.log 2>&1&
OK

But then, I got into trouble:
>make install
        echo '\
\
Installing PHP SAPI module:       apache2handler
/usr/local/apache2/build/instdso.sh SH_LIBTOOL='/usr/local/apache2/build/libtool' libphp5.la /usr/local/apache2/modules
rm -f /usr/local/apache2/modules/libphp5.so
/usr/local/apache2/build/libtool --mode=install cp libphp5.la /usr/local/apache2/modules/
cp .libs/libphp5.a /usr/local/apache2/modules/libphp5.a
cp .libs/libphp5.lai /usr/local/apache2/modules/libphp5.la
libtool: install: warning: remember to run `libtool --finish /home/jve/dl/php5.2-200706211230/libs'
chmod 755 /usr/local/apache2/modules/libphp5.so
chmod: /usr/local/apache2/modules/libphp5.so: A file or directory in the path name does not exist.
apxs:Error: Command failed with rc=65536
.
make: 1254-004 The error code from the last command is 1.


Stop.
beze-aix-test1 /home/jve/dl/php5.2-200706211230>

---------------------------------------------------------------------
Has anybody any idea how to solve this?

I've seen many times the same error with google, but I was unable
to find out a solution... 

Thanks in advance.

Johan Vermeire
Belgium


Expected result:
----------------
A good PHP 5.2.3 installation on AIX 5.2

Actual result:
--------------
Impossible to install PHP 5.2.3 on AIX 5.2

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-06-21 19:20 UTC] sniper@php.net
Didn't IBM drop support for AIX already? :)
Reclassified. IIRC, this is actually Apache bug..

 [2007-06-21 19:22 UTC] sniper@php.net
See bug #39197 which has pretty good info what the problem really is.

 [2007-06-25 12:40 UTC] Johan dot Vermeire at diebold dot com
Hi,

I've investigated bug #39197, but I couln't really find a solution for the libphp5.so which is not present after a configure and make on an AIX system.

I also didn't found any info about a possible apache bug, if it is an Apache bug...

I've build from the PHP 5.2.3 source the same configure and make on a Debian 4 Linux system, and the make install on the end completes successfull.

So, the make install problem should be related to AIX...

Does anybody has any idea or hint how to solve this?

Thanks in advance,

Johan Vermeire
Belgium
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sun Jan 23 18:03:34 2022 UTC